'use strict';
import {PlayerControllerLocal} from './player-controller';
import HeroFactory from '../model/heroes/hero-factory';
import TerminalRenderer from './../view/terminal-renderer';

export default class GameMasterPassnplay {
  constructor(gameParams) {
    let heroFactory = new HeroFactory();
    let terminalRenderer = new TerminalRenderer();
    let playerControllerRed = new PlayerControllerLocal(gameParams.playerRed);
    let playerControllerBlue = new PlayerControllerLocal(gameParams.playerBlue);
    playerControllerBlue.selectFactionDeck(terminalRenderer,heroFactory);
    playerControllerRed.selectFactionDeck(terminalRenderer,heroFactory);

    console.log('player Red deck : ', playerControllerRed.player.getHeroesDeck());
    console.log('player Blue deck : ', playerControllerBlue.player.getHeroesDeck());

  }

}
